SET SEARCH_PATH = iqp_apprealm;


INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('Number', 'INT', 'INTEGER', TRUE, TRUE, TRUE, 0);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('Real', 'NUMERIC', 'DOUBLE', TRUE, TRUE, FALSE, 0);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('Boolean', 'BOOLEAN', 'BOOLEAN', FALSE, FALSE, FALSE, 0);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('Date', 'DATE', 'DATE', TRUE, TRUE, FALSE, 0);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('Time', 'TIME', 'TIME', TRUE, TRUE, FALSE, 0);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('DateTime', 'TIMESTAMP', 'TIMESTAMP', TRUE, TRUE, FALSE, 0);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('String', 'VARCHAR(191)', 'VARCHAR', TRUE, TRUE, FALSE, 0);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('Long string', 'TEXT', 'VARCHAR', FALSE, FALSE, FALSE, 127);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('Free text', 'TEXT', 'VARCHAR', FALSE, FALSE, FALSE, 127);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('File', 'VARCHAR(191)', 'VARCHAR', TRUE, FALSE, FALSE, 0);
INSERT INTO column_types (type_name, db_name, sql_type, indexable, allow_unique, auto_values, index_len)
VALUES ('Timestamp', 'TIMESTAMP', 'TIMESTAMP', TRUE, TRUE, FALSE, 0);

INSERT INTO last_wid (prefix, wid, modified)
VALUES ('IQP_WID_', 300, now());

INSERT INTO app_feature_tags (feature_tag, feature_name, description)
VALUES ('require_login', 'Requires login', 'Set to true, to require login for authentication.');
INSERT INTO app_feature_tags (feature_tag, feature_name, description)
VALUES ('allow_sign_up"', 'Allow sign-up', 'Set to true, to enable sign-up for this app.');
INSERT INTO app_feature_tags (feature_tag, feature_name, description)
VALUES ('connect_with_facebook', 'Connect with facebook',
        'Set to true, in order to allow authentication using Facebook account.');
INSERT INTO app_feature_tags (feature_tag, feature_name, description)
VALUES ('connect_with_google', 'Connect with Google',
        'Set to true, in order to allow authentication using Google account.');
INSERT INTO app_feature_tags (feature_tag, feature_name, description)
VALUES ('approve_new_users', 'Approve new users', 'Set to true, if new users require approval by the app admin.');
INSERT INTO app_feature_tags (feature_tag, feature_name, description)
VALUES ('include_ads', 'Include advertisement', 'Set to true, to include advertisement information.');
INSERT INTO app_feature_tags (feature_tag, feature_name, description)
VALUES ('ads_only_none_paying', 'Display ads for free of charge use',
        'Set to true, in order to include advertisement only for free of charge use.');
INSERT INTO app_feature_tags(feature_tag, feature_name, description)
VALUES ('user_page_optional', 'Display user options', 'Set to true, to show user menu items');
INSERT INTO app_feature_tags(feature_tag, feature_name, description)
VALUES ('general_error', 'general error', 'general error to be used');
INSERT INTO app_feature_tags(feature_tag, feature_name, description)
VALUES ('extended_error', 'extended error', 'Use extended error');
INSERT INTO app_feature_tags (feature_tag, feature_name, description)
VALUES ('trace', 'trace', 'enable trace');
INSERT INTO app_feature_tags (feature_tag, feature_name, description)
VALUES ('hide_loading', 'hide_loading', 'hide_loading');
INSERT INTO app_feature_tags
    (feature_tag, feature_name, description)
VALUES ('hide_title', 'hide_title', 'hide_title');

INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Device_id', 'event');
INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Instance name', 'event');
INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Metric', 'event');
INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Latitude', 'event');
INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Longitude', 'event');
INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Timestamp', 'event');
INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Column_name', 'event');
INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Metric_name', 'event');
INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Event_value', 'event');
INSERT INTO server_variables_metadata (metric_parameter_name, parameter_type)
VALUES ('Event_timestamp', 'event');

INSERT INTO installed_patches (patch_version, server_patch, client_patch, status)
VALUES ('3.0', '1', '1', 'finished');

INSERT into server_settings(setting, value, account, grouping)
VALUES ('start_on_startup', 'true', 0, 'tcp_settings');
INSERT into server_settings(setting, value, account, grouping)
VALUES ('port', '8123', 0, 'tcp_settings');

INSERT into server_settings(setting, value, account, grouping)
VALUES ('port', '8223', 0, 'nodejs_settings');
