SET SEARCH_PATH = iqp_apprealm;


INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (360, 'supported_device_gateway', 1, 0,
        '[{"column_id":"c1","name":"device_type_id","type":"String","mandatory":false,"index":true,"distinct":true,"auto_increment":false},{"column_id":"c2","name":"manufactor","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c3","name":"device_type","type":"String","mandatory":true,"index":false,"distinct":true,"auto_increment":false},{"column_id":"c4","name":"description","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c5","name":"product_code","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c6","name":"generic_1","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c7","name":"generic_2","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c8","name":"pull_interval","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c9","name":"is_active","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, '1dea98de-1325-4485-85a8-6304d3bbd941');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (361, 'cloud_users', 1, 0,
        '[{"column_id":"c1","name":"cloud_id","type":"String","mandatory":true,"index":true,"distinct":true,"auto_increment":false},{"column_id":"c2","name":"username","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c3","name":"password","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c4","name":"account","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c5","name":"iqp_account_id","type":"Number","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c6","name":"is_active","type":"Boolean","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c7","name":"pull_interval","type":"Number","mandatory":true,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, '93736f1f-3f34-46d4-9cdc-b8e5aabd42c6');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (362, 'device_gateway', 1, 0,
        '[{"column_id":"c1","name":"cloud_id","type":"String","mandatory":true,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"device_id","type":"String","mandatory":true,"index":true,"distinct":true,"auto_increment":false},{"column_id":"c3","name":"unique_address","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c4","name":"device_type","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c5","name":"url","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c6","name":"altitude","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c7","name":"latitude","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c8","name":"longitude","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c9","name":"iqp_account_id","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c10","name":"device_type_id","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c11","name":"device_username","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c12","name":"device_password","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c13","name":"pull_interval","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c14","name":"is_active","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c15","name":"location","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c16","name":"latlong","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c17","name":"firmware_ver","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c18","name":"description","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c19","name":"generic_1","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c20","name":"generic_2","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, 'c88941fe-5872-4265-835e-eb13367e13e3');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (363, 'things_nodes', 1, 0,
        '[{"column_id":"c1","name":"cloud_id","type":"String","mandatory":true,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"device_id","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c3","name":"address","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c4","name":"module_type_desc","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c5","name":"product_type_desc","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c6","name":"instance_code","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c7","name":"package_code","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c8","name":"class_code","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c9","name":"generic_1","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c10","name":"iqp_account_id","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c11","name":"sensor_id","type":"String","mandatory":true,"index":true,"distinct":true,"auto_increment":false},{"column_id":"c12","name":"sensor_type","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c13","name":"location","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c14","name":"altitude","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c15","name":"latitude","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c16","name":"longitude","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c17","name":"latlong","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c18","name":"sensor_username","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c19","name":"sensor_password","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c20","name":"firmware_ver","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c21","name":"description","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c22","name":"generic_2","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c23","name":"is_active","name":"is_active","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, 'f75cc1e0-8b59-4b50-ae9d-ba2dad86313b');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (364, 'M2M_data_channel', 1, 0,
        '[{"column_id":"c1","name":"cloud_id","type":"String","mandatory":true,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"device_id","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c3","name":"instance_name","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c4","name":"channel","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c5","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c6","name":"units","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c7","name":"data_type","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c8","name":"generic_1","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c9","name":"iqp_account_id","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, '1947130c-6d0e-4ede-9f32-a9e52103e93b');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (365, 'device_clouds', 1, 0,
        '[{"column_id":"c1","name":"cloud_id","type":"String","mandatory":true,"index":true,"distinct":true,"auto_increment":false},{"column_id":"c2","name":"cloud_vendor","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c3","name":"logical_name","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c4","name":"cloud_url","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, 'e8ff1bcb-1e0b-4338-842c-0072cc1c5b4b');


INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (366, 'M2M_data', 1, 0,
        '[{"column_id":"c1","name":"iqp_timestamp","type":"DateTime","mandatory":true,"index":false,"distinct":false,"auto_increment":false},
        {"column_id":"c2","name":"device_id","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c3","name":"channel","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c4","name":"instance_name","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c5","name":"metric","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c6","name":"data","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c7","name":"data_type","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c8","name":"description","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c9","name":"altitude","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c10","name":"latitude","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c11","name":"longitude","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c12","name":"generic_1","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c13","name":"generic_2","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c14","name":"timestamp","type":"DateTime","mandatory":true,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c15","name":"cloud_timestamp","type":"DateTime","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c16","name":"cloud_id","type":"String","mandatory":true,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c17","name":"iqp_time","type":"Time","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c18","name":"iqp_account_id","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c19","name":"status","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},
        {"column_id":"c20","name":"reset_flag","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},
        {"column_id":"c21","name":"LatLong","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false}
        ]'
               , TRUE, '3f69c4f5-e525-4f88-a685-f1443ff11e4f');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (367, 'M2M_groups', 1, 0,
        '[{"column_id":"c1","name":"group_id","type":"Number","mandatory":true,"index":true,"distinct":true,"auto_increment":false},{"column_id":"c2","name":"group_name","type":"String","mandatory":true,"index":false,"distinct":true,"auto_increment":false},{"column_id":"c3","name":"device_type_id","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c4","name":"group_description","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c5","name":"gateway_sensor_id","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c6","name":"group_type","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c7","name":"generic_1","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c8","name":"generic_2","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c9","name":"is_active","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, '248ebea1-6256-4347-ada8-231c2d895470');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (368, 'default_metric_value', 1, 0,
        '[{"column_id":"c1","name":"device_type","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"device_group","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c3","name":"device_unit","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c4","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c5","name":"default_value","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c6","name":"default_aggregate_value","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, '7a4bc995-a585-431b-b2e3-574a485057c8');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (369, 'metrics_device_type', 1, 0,
        '[{"column_id":"c1","name":"device_type","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, 'fc6a35f9-c6ce-45d3-bfc2-8afc931b58b0');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (370, 'MQTT_group_topic', 1, 0,
        '[{"column_id":"c1","name":"MQTT_group","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"MQTT_topic","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, '19a976a2-f5e8-4194-a4f7-3a8c47ab7d98');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (51, 'IQAW_data', 1, 0,
        '[{"column_id":"c1","name":"id","type":"Number","mandatory":false,"index":true,"distinct":true},{"column_id":"c2","name":"unit_type","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c3","name":"address","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c4","name":"mileage","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c5","name":"logic_state","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c6","name":"reason","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c7","name":"event_id","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c8","name":"response","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c9","name":"driver","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c10","name":"lat_long","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c11","name":"latitude","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c12","name":"longitude","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c13","name":"altitude","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c14","name":"gps_valid","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c15","name":"gps_connected","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c16","name":"num_satellites","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c17","name":"velocity","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c18","name":"heading","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c19","name":"emergency","type":"Boolean","mandatory":false,"index":false,"distinct":false},{"column_id":"c20","name":"ignition","type":"Boolean","mandatory":false,"index":false,"distinct":false},{"column_id":"c21","name":"door","type":"Boolean","mandatory":false,"index":false,"distinct":false},{"column_id":"c22","name":"arm","type":"Boolean","mandatory":false,"index":false,"distinct":false},{"column_id":"c23","name":"disarm","type":"Boolean","mandatory":false,"index":false,"distinct":false},{"column_id":"c24","name":"main_voltage","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c25","name":"backup_voltage","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c26","name":"analog1","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c27","name":"analog2","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c28","name":"fuel","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c29","name":"siren","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c30","name":"blinker","type":"Boolean","mandatory":false,"index":false,"distinct":false},{"column_id":"c31","name":"islock","type":"Boolean","mandatory":false,"index":false,"distinct":false},{"column_id":"c32","name":"isunlock","type":"Boolean","mandatory":false,"index":false,"distinct":false},{"column_id":"c33","name":"gradualstop","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c34","name":"immobilizer","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c35","name":"trunk","type":"Boolean","mandatory":false,"index":false,"distinct":false},{"column_id":"c36","name":"int_lights","type":"Number","mandatory":false,"index":false,"distinct":false},{"column_id":"c37","name":"datetime_utc","type":"DateTime","mandatory":false,"index":false,"distinct":false},{"column_id":"c38","name":"datetime_actual","type":"DateTime","mandatory":false,"index":false,"distinct":false},{"column_id":"c39","name":"unit_id","type":"String","mandatory":false,"index":false,"distinct":false},{"column_id":"c40","name":"status","type":"String","mandatory":false,"index":false,"distinct":false}]',
        TRUE, '7e938f2f-0109-4b9b-8c92-ba89c8848cdc');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (371, 'MQTT_device_topic', 1, 0,
        '[{"column_id":"c1","name":"MQTT_device_id","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"MQTT_topic","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, '549bcb5a-acb2-46e3-8836-9f60205ee591');

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (372, 'M2M_groups_device_thing', 1, 0,
        '[{"column_id":"c1","name":"group_id","type":"Number","mandatory":true,"index":false,"distinct":true,"auto_increment":false},{"column_id":"c2","name":"group_name","type":"String","mandatory":true,"index":false,"distinct":true,"auto_increment":false},{"column_id":"c3","name":"gateway_thing_id","type":"String","mandatory":true,"index":false,"distinct":true,"auto_increment":false}]',
        TRUE, '15cb8aa2-de32-49b6-9c70-cb4acb067884');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (32, 'M2M_aggregate_5_minutes_count', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"count","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"data_counted","type":"String","mandatory":false,"index":false,"distinct":false}
]',
        TRUE,
        '14f2e698-ebca-475a-8878-901043dc3ec5');


INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (33, 'M2M_aggregate_30_minutes_count', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"count","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"data_counted","type":"String","mandatory":false,"index":false,"distinct":false}
]',
        TRUE,
        '5f3328ae-5ef1-43e5-bd04-c9af8a9b1eb1');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (34, 'M2M_aggregate_hourly_count', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"count","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"data_counted","type":"String","mandatory":false,"index":false,"distinct":false}
]',
        TRUE,
        '925450cb-720f-4b64-b2b5-08775502d9b8');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (35, 'M2M_aggregate_daily_count', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"count","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"data_counted","type":"String","mandatory":false,"index":false,"distinct":false}
]',
        TRUE,
        '5973941e-41cf-46d0-9843-d7f06ff9bcd0');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (36, 'M2M_aggregate_weekly_count', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"count","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"data_counted","type":"String","mandatory":false,"index":false,"distinct":false}
]',
        TRUE,
        '7e127035-f46b-4130-9215-4f16a71f60f1');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (37, 'M2M_aggregate_monthly_count', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"count","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"data_counted","type":"String","mandatory":false,"index":false,"distinct":false}
]',
        TRUE,
        '54817bc6-af23-4a48-9202-72f717518937');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (38, 'M2M_aggregate_quarterly_count', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"count","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"data_counted","type":"String","mandatory":false,"index":false,"distinct":false}
]',
        TRUE,
        'cab294db-6b34-42bf-b132-d61a3d176194');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (39, 'M2M_aggregate_yearly_count', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"count","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"data_counted","type":"String","mandatory":false,"index":false,"distinct":false}
]',
        TRUE,
        'ca9afe7b-ec52-4c80-9781-5a28fc6aab18');


INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (40, 'M2M_aggregate_5_minutes', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"average","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"max","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c11","name":"min","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c12","name":"sum","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c13","name":"generic_1","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c14","name":"generic_2","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c15","name":"generic_3","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c16","name":"generic_4","type":"Real","mandatory":true,"index":false,"distinct":false}
]',
        TRUE,
        '3a38e170-76c6-4548-8228-1cf22fa09c5c');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (41, 'M2M_aggregate_30_minutes', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"average","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"max","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c11","name":"min","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c12","name":"sum","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c13","name":"generic_1","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c14","name":"generic_2","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c15","name":"generic_3","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c16","name":"generic_4","type":"Real","mandatory":true,"index":false,"distinct":false}
]',
        TRUE,
        '55e0547b-a8ba-421f-a323-ad8c3f51f043');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (42, 'M2M_aggregate_hourly', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"average","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"max","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c11","name":"min","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c12","name":"sum","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c13","name":"generic_1","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c14","name":"generic_2","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c15","name":"generic_3","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c16","name":"generic_4","type":"Real","mandatory":true,"index":false,"distinct":false}
]',
        TRUE,
        '69551128-32f7-44d4-90a7-1c0e88d8b210');


INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (43, 'M2M_aggregate_daily', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"average","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"max","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c11","name":"min","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c12","name":"sum","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c13","name":"generic_1","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c14","name":"generic_2","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c15","name":"generic_3","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c16","name":"generic_4","type":"Real","mandatory":true,"index":false,"distinct":false}
]',
        TRUE,
        'a9596c59-7e89-4e30-8d3c-47e0eb802129');


INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (44, 'M2M_aggregate_weekly', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"average","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"max","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c11","name":"min","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c12","name":"sum","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c13","name":"generic_1","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c14","name":"generic_2","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c15","name":"generic_3","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c16","name":"generic_4","type":"Real","mandatory":true,"index":false,"distinct":false}
]',
        TRUE,
        '9f5be554-c2d9-4673-b547-53c3841dce74');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (45, 'M2M_aggregate_monthly', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"average","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"max","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c11","name":"min","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c12","name":"sum","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c13","name":"generic_1","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c14","name":"generic_2","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c15","name":"generic_3","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c16","name":"generic_4","type":"Real","mandatory":true,"index":false,"distinct":false}
]',
        TRUE,
        '128c1dd4-ac23-464d-a1ac-7f231c0f9f9d');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (46, 'M2M_aggregate_quarterly', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"average","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"max","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c11","name":"min","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c12","name":"sum","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c13","name":"generic_1","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c14","name":"generic_2","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c15","name":"generic_3","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c16","name":"generic_4","type":"Real","mandatory":true,"index":false,"distinct":false}
]',
        TRUE,
        '033bfa34-41e6-41ed-a54d-99b91e74d965');

INSERT INTO entity_tables
(table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (47, 'M2M_aggregate_yearly', 1, 0, '[
{"column_id":"c1","name":"data_channel","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c2","name":"metric","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c3","name":"start_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c4","name":"end_date_time","type":"DateTime","mandatory":true,"index":false,"distinct":false},
{"column_id":"c5","name":"start_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c6","name":"end_date_long","type":"String","mandatory":true,"index":false,"distinct":false},
{"column_id":"c7","name":"start_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c8","name":"end_time","type":"Time","mandatory":true,"index":false,"distinct":false},
{"column_id":"c9","name":"average","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c10","name":"max","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c11","name":"min","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c12","name":"sum","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c13","name":"generic_1","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c14","name":"generic_2","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c15","name":"generic_3","type":"Real","mandatory":true,"index":false,"distinct":false},
{"column_id":"c16","name":"generic_4","type":"Real","mandatory":true,"index":false,"distinct":false}
]',
        TRUE,
        '5db975d4-61e0-4bb5-a66b-ae25028bb57e');



