Write-Host "Welcome to Operations hub Backup Scheduler"

$operation=Read-Host "Do you like to create a scheduler or delete an existing one? (Create|Delete)"
if ($operation -eq "Create") {
	$taskName=Read-Host "Tell us what do you name it?"
	$taskDesc=Read-Host "Please add some description."
	$trigger=Read-host "How would you like to schedule? (Daily|Weekly)"
	if ($trigger -eq "Weekly"){ 
		$day=Read-host "Which day you would like it to recur? (Sunday|Monday|etc..)"
	}
	$timing=Read-host "when would you like to schedule? e.g. 7pm/9am/12pm/11:30pm"
	$pathToScript=Read-host "Tell us where your back-up script is located. e.g C:\Users\Administrator\Desktop\BackUp_OperationsHub.ps1"

	$action = New-ScheduledTaskAction -Execute 'Powershell.exe' -Argument "-NoProfile -WindowStyle Hidden -command & {$pathToScript}"
	if (-Not($day -eq $null)) {
		$trigger =  New-ScheduledTaskTrigger -Weekly -At $timing -DaysOfWeek $day
	}
	else {
		$trigger =  New-ScheduledTaskTrigger -Daily -At $timing
	}

	Register-ScheduledTask -Action $action -Trigger $trigger -TaskName $taskName -Description $taskDesc
	Write-Host "The backup of Operations Hub is scheduled successfully."
}
elseif($operation -eq "Delete") {
	$taskName=Read-Host "Tell us the schedule name"
	Unregister-ScheduledTask -TaskName $taskName -Confirm:$false
	Write-Host "The scheduled back up task is deleted successfully."
}

