SET SEARCH_PATH = iqp_apprealm;

-- Delete any rows that are not REST types (no matching entry in Auth table for historian)
DELETE FROM rest_datasource WHERE
hist_username != '' AND
datasource_id IN (SELECT datasource_id FROM rest_datasource WHERE datasource_id NOT IN (SELECT rest_datasource_id FROM auth));
	
UPDATE rest_datasource 
SET 
	product_type = 'REST API', 
	datasource_type='REST' 
WHERE 
	product_type IS NULL AND datasource_type = 'Custom';

	
UPDATE rest_datasource 
SET 
	product_type = 'Proficy Historian', 
	datasource_type='REST' 
WHERE 
product_type IS NULL AND datasource_type = 'Historian';


UPDATE externaldb_datasource 
SET 
	producttype = 'Relational Database' 
WHERE 
	producttype IS NULL;

	
ALTER TABLE rest_datasource DROP COLUMN hist_username;
ALTER TABLE rest_datasource DROP COLUMN hist_password;
