# db-backup-restore
This repository host powershell scripts of database backup and restore on Operations hub installation

## Logical back up your installation databases into archive

Execute Backup_OperationsHub.ps1 powershell script to take back up of the UAA, IQP, WebHMI DB, images and plugins. The backup is saved in C:\ProgramData\OPERATIONS_HUB_BKP_<timestamp>.zip

## Restoring from database backup archive

Pre-requisite : Place the db-intializer jar of respective target version into the path <Program_Files>\GE\Operations Hub\iqp-tomcat\webapps\site\WEB-INF

Execute Restore_OperationsHub.ps1 <PATH_TO_ARCHIVE> powershell script to restore from UAA, IQP and WebHMI DB archive. 

## Scheduling your database backup archive

Execute Scheduler_OperationsHubBackup.ps1 and feed in the necessary answer to scheduling questions. And all the archives will be saved to ProgramData folder.

## Note - Troubleshooting

When you run a .ps1 PowerShell script you might get the message saying “.ps1 is not digitally signed. The script will not execute on the system.”
To fix it you have to run the command below to run Set-ExecutionPolicy and change the Execution Policy setting.

`Set-ExecutionPolicy -Scope Process -ExecutionPolicy Bypass`

This command sets the execution policy to bypass for only the current PowerShell session after the window is closed, the next PowerShell session will open running with the default execution policy. “Bypass” means nothing is blocked and no warnings, prompts, or messages will be displayed.